#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent()
{
    setSize (600, 400);
}

MainComponent::~MainComponent()
{
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));

    //define area:
    juce::Rectangle<int> textArea(30,30, 100, 100);
    
    //blue background rect into textArea:
    g.setColour(juce::Colours::blue);
    g.fillRect(textArea);
    
    //draw text into same textArea:
    g.setFont (juce::Font (16.0f));
    g.setColour (juce::Colours::white);
    g.drawFittedText ("Text", textArea, juce::Justification::centredTop, 1, 1);
}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
}
